<?php 
global $wpdb;
$ol_flash 	= '';
$htp 		= "http://";
$ab_img 	= $htp;
$ab_link	= $htp;
$ab_img_err	= '';
$ab_link_err= '';

$ad_button_action = $_GET['action']; 
$ad_button = $_GET['adbut'];

if($ad_button_action == 'deactivate') {
	$ol_flash = "Ad Button $ad_button has been deactivated.";
	$wpdb->query("UPDATE ".$wpdb->prefix."ad_buttons SET ad_active = 0 WHERE id = $ad_button");
} elseif($ad_button_action == 'activate') {
	$ol_flash = "Ad Button $ad_button has been activated.";
	$wpdb->query("UPDATE ".$wpdb->prefix."ad_buttons SET ad_active = 1 WHERE id = $ad_button");
} elseif($ad_button_action == 'delete') {
	$ol_flash = "Ad Button $ad_button has been deleted.";
	$wpdb->query("UPDATE ".$wpdb->prefix."ad_buttons SET ad_active = 2 WHERE id = $ad_button");	
}

$widget_adbuttons_cfg = array(

	'ab_cfg1'	=> ''

);

$widget_adbuttons_cfg = get_option('widget_adbuttons_cfg');

// check if the form has been submitted and validate input
if(isset($_POST['ab_img']) || isset($_POST['ab_link']) || isset($_POST['ab_txt'])) {
				if (isset($_POST['ab_img'])) { 
					$ab_img = $htp.str_replace($htp, "", $_POST['ab_img']);
				}

				if (isset($_POST['ab_link'])) { 
					$ab_link = $htp.str_replace($htp, "", $_POST['ab_link']);
				}

				if (isset($_POST['ab_txt'])) { 
					$ab_txt = $_POST['ab_txt'];

				}
		if($ab_img == $htp || $ab_img == ''){
			$ab_img_err = 'Please fill in the link to your image file';
		}
		if($ab_link == $htp || $ab_link == ''){
			$ab_link_err = 'Please fill in the target link for your ad';
		}
	if($ab_img_err == '' && $ab_link_err == ''){
		// everything looks good, lets write to the database
		
		$table = $wpdb->prefix."ad_buttons";
		$wpdb->query("INSERT INTO $table(ad_picture, ad_link, ad_text, ad_active)
        VALUES('$ab_img', '$ab_link', '$ab_txt', 0)");
		$ol_flash = 'Your Ad Button has been created!';
		$ab_img 	= $htp;
		$ab_link	= $htp;
		$ab_txt	= '';
		$ab_img_err	= '';
		$ab_link_err= '';
	}

}
?>
<?php if ($ol_flash != '') echo '<div id="message"class="updated fade"><p>' . $ol_flash . '</p></div>'; ?>
<div class="wrap">

<h2>Ad Buttons ad management</h2>

<h3>Create new Ad Button</h3>
<p><form method="post">
<?php wp_nonce_field('update-options'); 
$widget_adbuttons_cfg = get_option('widget_adbuttons_cfg')
?>

<table class="form-table">

<tr valign="top">
<th scope="row">Ad Button Image </th>
<td><input type="text" name="ab_img" value="<?php echo $ab_img; ?>" /> <?php if($ab_img_err)echo"$ab_img_err"; ?></td>
</tr>

<tr valign="top">
<th scope="row">Ad Button Link </th>
<td><input type="text" name="ab_link" value="<?php echo $ab_link; ?>" /> <?php if($ab_link_err)echo"$ab_link_err"; ?></td>
</tr>
<tr valign="top">
<th scope="row">Ad Button Text </th>
<td><input type="text" name="ab_txt" value="<?php echo $ab_txt; ?>" /></td>
</tr>
</table>
<p class="submit">
<input type="submit" name="Submit" value="Create Ad Button" />
</p>

</form></p>
<h3 id="currently-active">Currently Active Ad Buttons</h3>
<table class="widefat" id="active-plugins-table">
	<thead>
	<tr>
		<th scope="col" class="num">Ad ID</th>
		<th scope="col">Ad Button</th>
		<th scope="col" class="num">Ad Text</th>
		<th scope="col" class="num">Ad Views</th>
		<th scope="col" class="num">Ad Clicks</th>
		<th scope="col" class="num">CTR</th>
		<th scope="col" class="action-links">Action</th>
	</tr>
	</thead>
	<tbody class="plugins">
<?php
$results = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."ad_buttons WHERE ad_active = 1");
foreach($results as $result)
{
if($result->ad_views){
	$ad_ctr = round((($result->ad_clicks / $result->ad_views) * 100 ), 2);
	}
else {
	$ad_ctr = 0;
	}

echo  "
	<tr class='active'>
		<td class='vers'>$result->id</td>
		<td class='name'><a href=\"$result->ad_link\" target=\"_blank\" title=\"$result->ad_text\"><img src=\"$result->ad_picture\" alt=\"$result->ad_text\"  align=\"left\" vspace=\"10\" hspace=\"10\" border=\"0\"></a></td>
		<td class='vers'>$result->ad_text</td>
		<td class='vers'>$result->ad_views</td>
		<td class='vers'>$result->ad_clicks</td>
		<td class='vers'>$ad_ctr%</td>
		<td class='togl action-links'><a href=\"?page=ad-buttons/adbuttons.php&#038;action=deactivate&#038;adbut=$result->id\" title=\"Deactivate this Ad Button\" class=\"delete\">Deactivate</a></td> 
	</tr>

";
}
?>
</tbody>
</table>

<h3 id="inactive-plugins">Inactive Ad Buttons</h3>
<table class="widefat" id="inactive-plugins-table">
	<thead>
	<tr>

		<th scope="col" class="num">Ad ID</th>
		<th scope="col">Ad Button</th>
		<th scope="col" class="num">Ad Text</th>
		<th scope="col" class="num">Ad Views</th>
		<th scope="col" class="num">Ad Clicks</th>
		<th scope="col" class="num">CTR</th>
		<th scope="col" class="action-links">Action</th>
	</tr>
	</thead>
	<tbody class="plugins">
<?php
$results = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."ad_buttons WHERE ad_active = 0");
foreach($results as $result)
{
if($result->ad_views){
	$ad_ctr = round((($result->ad_clicks / $result->ad_views) * 100 ), 2);
	}
else {
	$ad_ctr = 0;
	}

echo  "
	<tr class='inactive'>
		<td class='vers'>$result->id</td>
		<td class='name'><a href=\"$result->ad_link\" target=\"_blank\" title=\"$result->ad_text\"><img src=\"$result->ad_picture\" alt=\"$result->ad_text\"  align=\"left\" vspace=\"10\" hspace=\"10\" border=\"0\"></a></td>
		<td class='vers'>$result->ad_text</td>
		<td class='vers'>$result->ad_views</td>
		<td class='vers'>$result->ad_clicks</td>
		<td class='vers'>$ad_ctr%</td>
		<td class='togl action-links'><a href=\"?page=ad-buttons/adbuttons.php&#038;action=activate&#038;adbut=$result->id\" title=\"Activate this Ad Button\" class=\"delete\">Activate</a><br/><a href=\"?page=ad-buttons/adbuttons.php&#038;action=delete&#038;adbut=$result->id\" title=\"Delete this Ad Button\" class=\"delete\">Delete</a></td> 
	</tr>

";
}
?>
</tbody>
</table>

</div>